
%define upstream_name 	 Tk-TableMatrix
%define upstream_version 1.23

Name: 		perl-%{upstream_name}
Version: 	 %{upstream_version}
Release: 	%mkrel 10

Summary:	Tk-TableMatrix perl module
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://cpan.org/authors/id/C/CE/CERNEY/%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	X11-devel
BuildRequires:	perl-devel
BuildRequires:	perl-Tk-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}

%description
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

%package devel
Summary:	Tk::TableMatrix modules for Perl (development package)
Group:		Development/C
Requires:	%{name} = %{version}

%description devel
Tk::TableMatrix is a table/matrix widget extension to perl/tk
for displaying data in a table (or spreadsheet) format.

This is the development package.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
rm -rf %{buildroot}
%makeinstall_std

# 20070818 remove file owned by perl-Tk-804.027-7mdv2007.0.noarch
rm -rf %{buildroot}/%{perl_vendorarch}/Tk/pTk/extralibs.ld

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Tk
%{perl_vendorarch}/auto/Tk
%exclude %{_mandir}/*/*

%files devel
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Tk



%changelog
* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update

